function score=temppool(data)
cd temppool
a=data;
n=size(a, 1);
for i=1:n
 om=a(i,:);
  
omtp(1,i)=temppool_expminkowski(om, 25, ceil(length(om)/2.5));
omtp(2,i) = temppool_hist(om, 60);
omtp(3,i) = mean(om);
omtp(4,i) = median(om);
omtp(5,i) = mode(om);
omtp(6,i)=temppool_hysteresis(om,25,2);
omtp(7,i) = temppool_softmax(om, 20);
omtp(8,i)=temppool_localn(om, ceil(length(om)/2.5));
omtp(9,i) = temppool_logexp(om, 5);
omtp(10,i) = temppool_meanlastf(om, ceil(length(om)/3));
omtp(11,i) = temppool_minkowski(om, 15);
omtp(12,i) = temppool_percentile(om,70);

end
score=omtp;
cd ..